DNF5-REMOVE(8)

NUME
dnf5-remove - comanda «remove»

SINOPSIS

dnf5 remove [opțiuni] <NFE-specificație-pachet>|@<specificație-grup>|@<specificație-mediu>...

dnf5 remove --oldinstallonly [--limit=<LIMITA>] [<NF-specificație-pachet>...]

DESCRIERE

Comanda remove din DNF5 este utilizată pentru eliminarea din sistem a pachetelor, grupurilor sau mediilor instalate.

Dacă doriți să păstrați dependențele care au fost instalate împreună cu pachetul dat, definiți opțiunea de configurare clean_requirements_on_remove la False.

Atunci când se utilizează opțiunea --oldinstallonly, comanda elimină pachetele vechi de tip „installonly” (de exemplu, nucleele de sistem) care depășesc limita configurată installonly_limit. Nucleul de sistem care rulează în prezent nu este niciodată eliminat. Dacă sunt furnizate specificații de pachete, numai pachetele de tip „installonly” care corespund acestor specificații sunt luate în considerare pentru eliminare.

OPȚIUNI

    --installed-from-repo=ID_DEPOZIT,...
        Filtrează pachetele instalate după ID-ul depozitului din care au fost instalate.

    --no-autoremove
        Dezactivează eliminarea dependențelor care nu mai sunt utilizate.

    --oldinstallonly
        Elimină pachetele vechi de tip „installonly” care depășesc valoarea de configurare installonly_limit.
        Atunci când se utilizează fără specificații de pachet, sunt luate în considerare toate tipurile de pachete „installonly”.
        Nucleul care rulează în prezent este omis automat.

    --limit=<LIMITA>
        Suprascrie valoarea de configurare installonly_limit. Aceasta trebuie să fie mai mare sau egală cu 1
        pentru a păstra cel puțin cea mai recentă versiune instalată. Poate fi utilizată numai împreună cu --oldinstallonly.

    --offline
        Stochează tranzacția care urmează să fie efectuată fără conexiune „offline”. A se vedea comanda «offline» <#offline-command-ref-label>, dnf5-offline(8).

    --store=RUTA
        Stochează tranzacția curentă într-un director la RUTA specificată, în loc să o execute.
        Tranzacția stocată poate fi executată prin comanda <#replay-command-ref-label>, dnf5-replay(8).
        Rețineți că ID-urile depozitelor din tranzacția stocată sunt modificate în @stored_transaction(repo_id); acest lucru este necesar
        deoarece, în timpul reluării, depozitele stocate sunt recreate și pot intra în conflict cu depozitele deja existente
        (acest lucru nu se aplică depozitului special @System).

EXEMPLE

    dnf5 remove tito
        Elimină pachetul tito.

    dnf5 remove --oldinstallonly
        Elimină toate pachetele vechi de tip „installonly” care depășesc limita configurată installonly_limit.

    dnf5 remove --oldinstallonly kernel
        Elimină pachetele vechi de nucleu care depășesc limita configurată installonly_limit.

    dnf5 remove --oldinstallonly --limit=2
        Elimină pachetele „installonly” vechi, păstrând doar cele mai recente două versiuni ale fiecăruia.

CONSULTAȚI ȘI
        dnf5-specs(7), Specificația modelelor <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.